/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez;

/**
 * この例外は、ユーザーIDの形式が不正な場合にスローされます。<p>
 * 
 * @author 杉澤 浩二
 */
public class IllegalUserIdException extends IllegalRequestException {

	private static final long serialVersionUID = 1L;

	/**
	 * デフォルトコンストラクタです。<p>
	 */
	public IllegalUserIdException() {
		super();
	}

	/**
	 * コンストラクタです。<p>
	 * 
	 * @param message 詳細なエラーメッセージ
	 */
	public IllegalUserIdException(final String message) {
		super(message);
	}

	/**
	 * コンストラクタです。<p>
	 * 
	 * @param message 詳細なエラーメッセージ
	 * @param cause 原因
	 */
	public IllegalUserIdException(final String message, final Throwable cause) {
		super(message, cause);
	}

	/**
	 * コンストラクタです。<p>
	 * 
	 * @param cause 原因
	 */
	public IllegalUserIdException(final Throwable cause) {
		super(cause);
	}

}
